Subject: Citrus Capital - Hendry County

From: [email-masked]
Date: 13 Aug 1996 13:38:19 GMT

There is a web site called Southwest Florida Online that provides good
information about an area of Florida that raises more citrus than any
other county.There are maps,agriculture links, weather and points of
interest about the southwest Florida counties of Hendry, Glades, and east
Lee county. Included is information about the towns of LaBelle, Clewiston,
Lehigh Acres, Moore Haven, Palmdale, Alva and Felda.

All of these areas are also known for their great freshwater fishing on
Lake Okeechobee and the Caloosahatchee River and smaller lakes. The web
address is:

http://members.aol.com/browne

-- 
NEW Web Site - Southwest Florida Online
located at:
http://members.aol.com/browne